/* Theme Variables */
:root {
    --background: #111;
    --text: #fff;
    --surface: #1d1d1d;
    --surface-hover: #2d2d2d;
    --primary: #9b59b6;
    --primary-hover: #8e44ad;
    --accent: #ff00f2;

    --dropdown-color: #ffffff;
    --dropdown-border-color: #1c1c1c;
    --dropdown-bg: #1c1c1c;
    --dropdown-bg-hover: #370444;
    --dropdown-active-bg: #262626;
    --dropdown-header-bg: #1c1c1c;
}

[data-theme="light"] {
    --background: #e5d0ff;
    --text: #1a1a1a;
    --surface: #ffffff;
    --surface-hover: #f0f0f0;
    --primary: #8e44ad;
    --primary-hover: #6c3483;
    --accent: #d100c7;

    --dropdown-color: #000000;
    --dropdown-border-color: #bd9dcc;
    --dropdown-bg: #eee0ff;
    --dropdown-bg-hover: #eee0ff;
    --dropdown-active-bg: #eee0ff;
    --dropdown-header-bg: #acacac;
}


::selection {
    background: #ffb7b7;
    color: #000000;
}

html{
    width: 100%;
    max-width: 100%;
    user-select: none;
    overflow-x: hidden;
    -moz-user-select: none;
    -webkit-user-drag: none;
    -webkit-user-select: none;
    scroll-behavior: smooth;
}

body{
    display: flex;
    background-color: var(--background);
    color: var(--text);
    font-family: Quicksand, sans-serif;
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
    flex-direction: column;
    align-items: center;
    transition: background-color 0.3s ease, color 0.3s ease;
}
  
body::-webkit-scrollbar {
    width: 10px;
    background-color: transparent;
}
  
body::-webkit-scrollbar-track {
    border-radius: 10px;
}
  
body::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: 10px;
}
  
body::-webkit-scrollbar-thumb:hover {
    background: var(--primary-hover);
}
  
section {
    display: inline-block;
    height: fit-content;
    width: 85%;
    max-width: 1200px;
    padding: 5% 0% 5% 5%;
    border-color: #333;
    border-bottom-style: solid;
}

section h1{
    font-size: 2.2em;
    margin: 0;
}

.content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 100%;
}